Bug 520590

Summary: texttopaps and wrap=false
Product: Red Hat Enterprise Linux 5 Reporter: Olivier Fourdan <ofourdan>
Component: papsAssignee: Akira TAGOH <tagoh>
Status: CLOSED ERRATA QA Contact: desktop-bugs <desktop-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.4CC: cmeadors, eng-i18n-bugs, kem, tao
Target Milestone: rcKeywords: Patch
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 240588 Environment:
Last Closed: 2009-12-16 09:32:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 240588    
Bug Blocks:    
Attachments:
Description Flags
patch with updated content none

Description Olivier Fourdan 2009-09-01 10:05:44 UTC
Created attachment 359370 [details]
patch with updated content

+++ This bug was initially created as a clone of Bug #240588 +++

Description of problem:

When using the texttopaps filter with cups, the 'wrap=false' option does not
work as expected.

Version-Release number of selected component (if applicable):

paps-0.6.6-18.el5

How reproducible:

100%

Steps to Reproduce:

1. perl -e 'print "012345678 "x9 . "\n"' |\
   /usr/lib/cups/filter/texttopaps 1 tim '' 1 'wrap=false' > out.ps
2. evince out.ps
  
Actual results:

Two lines shown.

Expected results:

Only one line shown, with the excess columns not wrapped.

Additional info:

The patch "paps-0.6.6-wordwrap.patch" appears to updated

--- Additional comment from tagoh@redhat.com on 2007-05-30 05:34:58 EDT ---

Okay, the result seems to depend on the locale (correctly probably the font). I
can confirm this with LANG=en_US now.

Comment 4 Akira TAGOH 2009-12-09 09:13:10 UTC
fixed in paps-0.6.6-19.el5.

Comment 8 errata-xmlrpc 2009-12-16 09:32:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1679.html